<?php
session_start();
require('../valtiempoinact.php');
require("conectar.php");
require("cartadespedida.php");
require("cartabienvenida.php");
/*ini_set('display_errors', 1);
ini_set('log_errors', 1);
ini_set('error_log', dirname(__FILE__) . '/error_log.txt');
error_reporting(E_ALL);*/
$usuario_id=$_SESSION['usuario_id'];
$usuario_puesto=$_SESSION['usuario_puesto'];
$personal=$_GET['p'];
echo $personal;
$usuario_nivel;
if($personal=="s"){
    switch($usuario_puesto){
     case 3:$cond="AND id_coordinador='$usuario_id'";break;
     case 4:$cond="AND id_coordinador='$usuario_id'";break;
	 case 5:$cond="AND id_ejecutivo='$usuario_id'";break;
	 default:$cond="";
     }	
}
?>
<html xmlns="http://www.w3.org/1999/xhtml">

        <head>
                <meta http-equiv="content-type" content="text/html"  charset="utf-8"/>
                <title>Citas Juridico</title>
                <meta http-equiv="PRAGMA" content="NO-CACHE" />
                <meta http-equiv="EXPIRES" content="-1" />
                <!--<script language="javascript" src="js/jquery.min.js"></script>
                <script type="text/javascript" src="js/vtip.js"></script>-->
                <script type="text/javascript">
                $(document).ready(function(){
                        setTimeout(function() {$('#mensaje').fadeOut('fast');}, 3000);
                });
                </script>
                <style>
                #agenda {margin: 0;padding: 0;font-family: Arial}
                p #vtip { display: none; position: absolute; padding: 5px; left: 5px; font-size: 0.75em; background-color: #666666; border: 1px solid #666666; -moz-border-radius: 5px; -webkit-border-radius: 5px; z-index: 9999;color:white }
                p #vtip #vtipArrow { position: absolute; top: -10px; left: 5px }
                .ok{border:1px dotted green;color:green;padding:10px}
                #agenda{margin:10px;width:880px;margin:0 auto}
                #agenda h1{text-align:left;margin:0;font-size:1.5em;color:#312c2b}
                #agenda h2{text-align:left;margin:0;font-size:1em;color:#969696}
                #agenda table.calendario {width:880px;border:1px solid #ccc;font-size:12px;}
                .calendario .tl{-moz-box-shadow:inset 0 0 20px #000000;-webkit-box-shadow: inset 0 0 20px #000000;box-shadow: inset 0 0 20px #000000;background:#424242;text-align:center;color:#FFFFFF;}
                .calendario th {border:1px solid #ccc;font-weight:bold;background:#666;color:white;padding:10px 5px;}
                .calendario td{padding:5px 5px;text-align:left;border:1px solid #ccc;width:100px;white-space:pre-line;font-size:15px;font-weight:bold;}
                .calendario td p{margin:5px;font-size:12px;border:1px solid #ccc;text-align:left;padding:5px;font-weight:normal;}
                .calendario td.desactivada {background:#dcdcdc;}
                .calendario td.activa {background:#ffffff;}
                .calendario td.evento {background:#312c2b;color:white}
                .calendario td.activahoy{background:#E1F5A9;}
                .calendario form{margin:5px 0 !important}
                .calendario input.text{border:1px solid #ccc;background:white;width:200px !important}
                .calendario input.enviar{border:1px solid #ccc;background:white;width:70px !important;background:#ccc;margin:0 0 0 10px;}
                .calendario td img{vertical-align:middle;float:right;border:0;width:16px;height:16px}
                .vtip{cursor:pointer;}
                .verde{font-size:125% !important;font-weight:bold;color:green;}
                .rojo{font-size:125% !important;font-weight:bold;color:red;}
				
				.badage{float:right;margin-top:3px;height:25px;min-width:5px;width:auto;background: url(images/badage2.png) 20px 0px content-box repeat-x,url(images/badagel.png) top left no-repeat,url(images/badager.png) top right no-repeat;color:#FFFFFF;text-align:center;padding-left:12px;padding-right:12px;text-decoration:none;outline:none;font-size:12px;}
		        .badage .tx{float:left;margin-top:4px;font-weight:bold;font-family:arial;}
				
				.badagev{float:right;margin-top:3px;height:25px;min-width:5px;width:auto;background: url(images/badage2v.png) 20px 0px content-box repeat-x,url(images/badagelv.png) top left no-repeat,url(images/badagerv.png) top right no-repeat;color:#FFFFFF;text-align:center;padding-left:12px;padding-right:12px;text-decoration:none;outline:none;font-size:12px;}
		        .badagev .tx{float:left;margin-top:4px;font-weight:bold;font-family:arial;}
				
				.badagey{float:right;margin-top:3px;height:25px;min-width:5px;width:auto;background: url(images/badage2y.png) 20px 0px content-box repeat-x,url(images/badagely.png) top left no-repeat,url(images/badagery.png) top right no-repeat;color:#FFFFFF;text-align:center;padding-left:12px;padding-right:12px;text-decoration:none;outline:none;font-size:12px;}
		        .badagey .tx{float:left;margin-top:4px;font-weight:bold;font-family:arial;}
		
				.asistencia{float:right;margin-top:3px;height:25px;min-width:5px;width:auto;background: url(images/badage2y.png) 20px 0px content-box repeat-x,url(images/badagely.png) top left no-repeat,url(images/badagery.png) top right no-repeat;color:#FFFFFF;text-align:center;padding-left:12px;padding-right:12px;text-decoration:none;outline:none;font-size:12px;}
		        .asistencia .tx{float:left;margin-top:4px;font-weight:bold;font-family:arial;}
				
				.badageb{float:right;margin-top:3px;height:25px;min-width:5px;width:auto;background: url(images/badage2b.png) 20px 0px content-box repeat-x,url(images/badagelb.png) top left no-repeat,url(images/badagerb.png) top right no-repeat;color:#FFFFFF;text-align:center;padding-left:12px;padding-right:12px;text-decoration:none;outline:none;font-size:12px;}
		        .badageb .tx{float:left;margin-top:4px;font-weight:bold;font-family:arial;}
                </style>
				<script>
				 function val(f,v){
				     if(v==1){
				     var h=f.hora;
				     var t=f.titulo;
				     var c=f.cliente;
				     var m=f.monto;
					 }else{
					 var h=f.horas;
				     var t=f.titulos;
				     var c=f.clientes;
				     var m=f.montos;
					 }
					 if(h.value==""){
					     alert("Selecciona una hora para el evento");
						 h.focus();
						 return false;
					 }
					  if(t.value==""){
					     alert("Ingresa la descripci¨®n del evento");
						 t.focus();
						 return false;
					 }
					 if(c.value==""){
					     alert("Ingresa el nombre  del cliente");
						 c.focus();
						 return false;
					 }
				 }
				 
		     function abrir(page, name) {
	          newWindow = window.open(page,name,'directories=no,location=no,status=no,scrollbars=yes,width=700px,height='+screen.height+',left=0,top=0');
  	          newWindow.creator=self;
  	          newWindow.focus(); 
             }
				</script>
        </head>
<body>
        <div id="agenda">
                <?php
		       
                     
						

						//$uploaddir="/tmp/";
					
                        $mostrar="";
                        function fecha ($valor)
                        {
                                $timer = explode(" ",$valor);
                                $fecha = explode("-",$timer[0]);
                                $fechex = $fecha[2]."/".$fecha[1]."/".$fecha[0];
                                return $fechex;
                        }
                        if (isset($_POST["guardarevento"])=="Si")
                        {
                                $q1="insert into tcalendario (id_cliente,usuario,fecha,hora,evento,nomcliente,monto) values ('".$_POST["id"]."','".$usu_login."','".$_POST["fecha"]."','".strip_tags($_POST["hora"])."','".strip_tags($_POST["titulo"])."','".strip_tags($_POST["cliente"])."','".strip_tags($_POST["monto"])."')";
                                mysql_select_db($dbname);
                                if ($r1=mysql_query($q1)) $mostrar="<p class='ok' id='mensaje'>Evento guardado correctamente.</p>";
                                else $mostrar= "<p class='error' id='mensaje'>Se ha producido un error guardando el evento.</p>";
                        }
                        if (isset($_GET["borrarevento"]))
                        {
                                $q1="delete from tcalendario where id_cita='".$_GET["borrarevento"]."' limit 1";
                                mysql_select_db($dbname);
                                if ($r1=mysql_query($q1)) $mostrar="<p class='ok' id='mensaje'>Cita eliminada correctamente.</p>";
                                else $mostrar="<p class='error' id='mensaje'>Se ha producido un error eliminando el evento.</p>";
                        }
                        
                        if (isset($_POST["addevent"])=="Si")
                        {
                                
                                $q1="insert into tcalendario (id_cliente,usuario,fecha,hora,evento,nomcliente,monto) values ('".$_POST["ids"]."','".$usu_login."','".$_POST["fechas"]."','".$_POST["horas"]."','".$_POST["titulos"]."','".$_POST["clientes"]."','".$_POST["montos"]."')";
                                mysql_select_db($dbname);
                                if ($r1=mysql_query($q1)) $mostrar="<p class='ok' id='mensaje'>Evento guardado correctamente.</p>";
                                else $mostrar="<p class='error' id='mensaje'>Se ha producido un error guardando el evento.</p>";
                        }
                        
                        if (!isset($_GET["fecha"])) 
                        {
                                $mesactual=intval(date("m"));
                                if ($mesactual<10) $elmes="0".$mesactual;
                                else $elmes=$mesactual;
                                $elanio=date("Y");
                        } 
                        else 
                        {
                                $cortefecha=explode("-",$_GET["fecha"]);
                                $mesactual=intval($cortefecha[1]);
                                if ($mesactual<10) $elmes="0".$mesactual;
                                else $elmes=$mesactual;
                                $elanio=$cortefecha[0];
                        }
						//$first_day_of_week = mktime(0, 0, 0, date('m'), date('d')-date('N')+1, date('Y'));
						//echo date('w', $first_day_of_week);
						$primerdia=mktime(0,0,0,$mesactual,1,$elanio);
					    $primeromes=date("w",$primerdia);
						if($primeromes==0){$primeromes=7;}
                        
                        if (!isset($_GET["mes"])) $hoy=date("Y-m-d"); 
                        else $hoy=$_GET["ano"]."-".$_GET["mes"]."-01";
                        
                        if (($elanio % 4 == 0) && (($elanio % 100 != 0) || ($elanio % 400 == 0))) $dias=array("","31","29","31","30","31","30","31","31","30","31","30","31");
                        else $dias=array("","31","28","31","30","31","30","31","31","30","31","30","31");
                        
                        $ides=array();
                        $eventos=array();
                        $titulos=array();
						/*prueba
						$qw="select ultimasesion from empleados where id_empleado='$_SESSION[usuario_id]'";
						$cons=mysql_query($qw);
						$arrr=mysql_fetch_array($cons);
                        $ultimasesion=$arrr['ultimasesion'];
						
					*/
						$meses=array("","Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
                        $diasantes=$primeromes-1;
                        $diasdespues=42;
                        $tope=$dias["$mesactual"]+$diasantes;
                        if ($tope%7!=0) $totalfilas=intval(($tope/7)+1);
                        else $totalfilas=intval(($tope/7));
                        echo $mostrar;
/*			echo " <font style='background:#0174DF;'>&nbsp;&nbsp;&nbsp;&nbsp;</font>:Citas &nbsp;&nbsp;&nbsp;&nbsp;
			<font style='background:#FFBF00;'>&nbsp;&nbsp;&nbsp;&nbsp;</font>:Llamadas &nbsp;&nbsp;&nbsp;&nbsp;
			<font style='background:#DF0101;'>&nbsp;&nbsp;&nbsp;&nbsp;</font>:Check In  &nbsp;&nbsp;&nbsp;&nbsp;
			<font style='background:#5FB404;'>&nbsp;&nbsp;&nbsp;&nbsp;</font>:Check Out".$ultimasesion;
			
	*/		
	
///consluta para saber el numro de citas, check in y check out de todo el mes

$primo=$elanio."-".$elmes."-01";
$ultmo=$elanio."-".$elmes."-".$dias["$mesactual"];
$sql="SELECT(select count(id_cita) from citas where fecha between '$primo' and '$ultmo' ) as citastot,
(select count(distinct c.id_concepto) from conceptos as c INNER JOIN pagos as p ON p.id_concepto=c.id_concepto where c.status_renta IN('PAGADO','ANTICIPO') and p.valadmon='s' and c.dia_inicio between '$primo' and '$ultmo' group by p.valadmon ) as chintot, 
(select count(distinct c.id_concepto) from conceptos as c INNER JOIN pagos as p ON p.id_concepto=c.id_concepto where c.status_renta IN('PAGADO','ANTICIPO') and p.valadmon='s' and c.dia_salida between '$primo' and '$ultmo' group by p.valadmon ) as chouttot, (select count(id_cita) from citas where fecha between '$primo' and '$ultmo' and asistio='SI') as asistencias";
$query=mysql_query($sql);
$tottot=mysql_fetch_array($query);
	
			echo "<table width='240'><tr ><td >Citas: <a class='badageb' ><font class='tx'>".intval($tottot["citastot"])."</a></td><td >Asistencias:
			<a class='asistencia'><font class='tx'>".intval($tottot["asistencias"])."</a></td><td >Check In:  
			<a class='badage'><font class='tx'>".intval($tottot["chintot"])."</a></td><td >Check Out:
			<a class='badagev'><font class='tx'>".intval($tottot["chouttot"])."</a></td> </tr></table>".$ultimasesion;
       


	   //ocupacion
                       
                       $capacidad="SELECT count(d.id_complejo) as num, com.id_complejo,  com.nombre, com.inicial FROM complejo as com INNER JOIN departamentos as d ON d.id_complejo=com.id_complejo where d.tipo<>'CORPORATIVO' AND com.id_complejo<6 group by com.id_complejo ";
                       $capa=mysql_query($capacidad);
                       $numeropropiedad=mysql_num_rows($capa);
                       echo"<table style='display:inline;  border-collapse:collapse;' ><tr><th colspan='$numeropropiedad' align='left'> Porcentaje de ocupacion:</th></tr><tr> ";
                       while($cap=mysql_fetch_array($capa))
                       {
						$cap["num"];
						$id=$cap["id_complejo"];
						$diasem=date("w");
						$hoys=date("Y-m-d");
						if($diasem==0) $diasem=7;
						for($tk=1;$tk<=$diasem;$tk++)
						{
						
							$contador++;
							$mant="SELECT COUNT( DISTINCT  con.id_departamento ) AS conc FROM conceptos AS con INNER JOIN departamentos AS d ON d.id_departamento=con.id_departamento INNER JOIN complejo AS com ON con.id_complejo = com.id_complejo WHERE con.status_renta IN('MANTENIMIENTO','CORPORATIVO') AND dia_salida >='$hoys' AND dia_inicio <='$hoys' and con.id_complejo='$id' GROUP BY com.nombre ";  
							$man=mysql_query($mant);
							$ma=mysql_fetch_array($man);
							$caapa=$cap["num"]-$ma["conc"];
							
							$ocup="SELECT COUNT( con.id_concepto ) AS conc, com.nombre FROM conceptos AS con INNER JOIN departamentos AS d ON d.id_departamento=con.id_departamento INNER JOIN complejo AS com ON con.id_complejo = com.id_complejo WHERE con.status_renta IN('PAGADO','ANTICIPO')	AND dia_salida >='$hoys' AND dia_inicio <='$hoys' and con.id_complejo='$id' GROUP BY com.nombre ";  
							$ocupa=mysql_query($ocup);
							$oc=mysql_fetch_array($ocupa);
							$por=$oc["conc"]*100;
							$por=substr($por,0,4);
							if($caapa!=0)$por=$por/$caapa;
							else$por=0;
							$por=substr($por,0,5);
							$acum=$por+$acum;
							$nuevafecha = strtotime ( '-1 day' , strtotime ( $hoys ) ) ;
							$hoys = date ( 'Y-m-j' , $nuevafecha );
					  
						}
					  $por=$acum/$contador;
					  $por=substr($por,0,5);
						echo "<td ><a style='margin-left:10px'><strong>".$cap["inicial"].":</strong>".$por."%"." </td> ";
						$acum=0;
						$por=0;
						$contador=0;
						}
                    	
                      	echo"</tr> </table>";
                        echo "<script>function mostrar(cual) {if (document.getElementById(cual).style.display=='block') {document.getElementById(cual).style.display='none';} else {document.getElementById(cual).style.display='block'} }</script>";
                        echo "<br> <br><center><table class='calendario' cellspacing='0' cellpadding='0'>";
                        echo "<tr><td colspan='7' align='center' class='tl'>Calendario de eventos: ".$meses[$mesactual]. " de ".$elanio."</td></tr></caption><tr><th>L</th><th>M</th><th>M</th><th>J</th><th>V</th><th>S</th><th>D</th></tr><tr>"; 
                        $j=1;
                        $filita=0;
                       						 						
                        for ($i=1;$i<=$diasdespues;$i++)
                        {
                                if ($filita<$totalfilas)
                                {
                                if ($i>=$primeromes && $i<=$tope) 
                                {
                                        echo "<td";
                                        if ($j<10) $dd="0".$j;else $dd=$j;{
                                        $compuesta=$elanio."-$elmes-$dd";}
                                        if (count($eventos)>0 && in_array($compuesta,$eventos,true)) {echo " class=' evento";$noagregar=true;}
                                        else {echo " class='activa";$noagregar=false;}
                                        if ($hoy==$compuesta) echo "hoy ";
                                        if ($noagregar==false) echo "'>$j  ";
                                       
                                         $sqlevent="select c.id_renta as id_renta,c.id_cliente as id_cliente,c.fecha as fecha, c.hora as hora, c.observacion as observacion, cl.nombre as nombre, cl.a_pat as apat, cl.a_mat as amat, concat(e.nombre,' ',e.a_pat,' ',e.a_mat) as ejecutivo, e.coordinador from citas as c  INNER JOIN renta as r ON c.id_renta=r.id_renta $cond INNER JOIN clientes as cl ON c.id_cliente=cl.id_cliente INNER JOIN empleados as e ON cl.id_emp=e.id_empleado WHERE c.fecha='".$compuesta."'";
                                        mysql_select_db($dbname);
                                        $revent=mysql_query($sqlevent); 
										$no=mysql_num_rows($revent);
										if($no!=0){if($no>1){$pedido="citas";}else{$pedido="cita";}echo "<a href='javascript:mostrar(\"eventoC$j\")' title='Mostrar citas del ".fecha($compuesta)."' class='badageb'><font class='tx'>$no</font></a>";}
									
                                       
                                         $sqlevent="select c.id_renta as id_renta,c.id_cliente as id_cliente,c.fecha as fecha, c.hora as hora, c.observacion as observacion, cl.nombre as nombre, cl.a_pat as apat, cl.a_mat as amat, concat(e.nombre,' ',e.a_pat,' ',e.a_mat) as ejecutivo, e.coordinador from citas as c  INNER JOIN renta as r ON c.id_renta=r.id_renta $cond INNER JOIN clientes as cl ON c.id_cliente=cl.id_cliente INNER JOIN empleados as e ON cl.id_emp=e.id_empleado WHERE c.fecha='".$compuesta."' AND c.asistio='SI'";
                                        mysql_select_db($dbname);
                                        $asistenciass=mysql_query($sqlevent); 
										$no=mysql_num_rows($asistenciass);
										if($no!=0){if($no>1){$pedido="Asistencias";}else{$pedido="Asistencias";}echo "<a href='javascript:mostrar(\"eventoA$j\")' title='Mostrar Asistencias del ".fecha($compuesta)."' class='asistencia'><font class='tx'>$no</font></a>";}
										
										/* muestra las llamadas
										echo"<br><br>";
										 $sqlevent="select c.id_renta as id_renta,c.id_cliente as id_cliente,c.fecha as fecha, c.hora as hora, c.observacion as observacion, cl.nombre as nombre, cl.a_pat as apat, cl.a_mat as amat,concat(e.nombre,' ',e.a_pat,' ',e.a_mat) as ejecutivo, e.coordinador from llamadas as c INNER JOIN renta as r ON c.id_renta=r.id_renta $cond INNER JOIN clientes as cl ON c.id_cliente=cl.id_cliente INNER JOIN empleados as e ON cl.id_emp=e.id_empleado WHERE c.fecha='".$compuesta."' AND c.realizada!='no'";
                                        mysql_select_db($dbname);
                                        $levent=mysql_query($sqlevent); 
										$no=mysql_num_rows($levent);
									
										
										if($no!=0){if($no>1){$pedido="llamadas";}else{$pedido="llamada";}echo "<a href='javascript:mostrar(\"eventoL$j\")' title='Mostrar llamadas del ".fecha($compuesta)."' class='badagey'><font class='tx'>$no</font></a>";}
									 	*/
										    $sqlevent="SELECT p.fechaval, (select es.nombre from empleados as es where es.id_empleado=p.usu_val )as valido,pr.id_complejo, d.no_depto, c.id_renta AS id_renta,cl.email as emailcli,  c.id_cliente AS id_cliente, c.dia_inicio AS fechai,c.dia_salida AS fechas, cl.nombre AS nombre, cl.a_pat AS apat, cl.a_mat AS amat,pr.nombre AS propiedad,d.clave AS clave, concat(e.nombre,' ',e.a_pat,' ',e.a_mat) as ejecutivo,e.email2 as emaileje, e.coordinador,e.id_empleado as emples FROM conceptos AS c INNER JOIN renta AS r ON c.id_renta = r.id_renta $cond INNER JOIN clientes AS cl ON c.id_cliente = cl.id_cliente INNER JOIN pagos AS p ON c.id_concepto = p.id_concepto INNER JOIN complejo AS pr ON c.id_complejo=pr.id_complejo INNER JOIN departamentos as d ON c.id_departamento=d.id_departamento INNER JOIN empleados as e ON cl.id_emp=e.id_empleado WHERE c.dia_inicio = '".$compuesta."' AND valadmon='s' group by c.id_concepto";
                                        mysql_select_db($dbname);
                                        $ievent=mysql_query($sqlevent); 
										$no=mysql_num_rows($ievent);	
										
										if($no!=0){if($no>1){$pedido="check in";}else{$pedido="check in";}echo "<a href='javascript:mostrar(\"eventoE$j\")' title='Mostrar entradas del ".fecha($compuesta)."' class='badage'><font class='tx'>$no</font></a>";}
									
										
										 $sqlevent="SELECT  pr.id_complejo, d.no_depto,c.id_renta AS id_renta, cl.email as emailcli, c.id_cliente AS id_cliente, c.dia_inicio AS fechai,c.dia_salida AS fechas, cl.nombre AS nombre, cl.a_pat AS apat, cl.a_mat AS amat,pr.nombre AS propiedad,d.clave AS clave, concat(e.nombre,' ',e.a_pat,' ',e.a_mat) as ejecutivo, e.email2 as emaileje, e.id_empleado as emples,  e.coordinador FROM conceptos AS c INNER JOIN renta AS r ON c.id_renta = r.id_renta $cond INNER JOIN clientes AS cl ON c.id_cliente = cl.id_cliente INNER JOIN pagos AS p ON c.id_concepto = p.id_concepto INNER JOIN complejo AS pr ON c.id_complejo=pr.id_complejo INNER JOIN departamentos as d ON c.id_departamento=d.id_departamento INNER JOIN empleados as e ON cl.id_emp=e.id_empleado WHERE c.dia_salida = '".$compuesta."' AND valadmon='s'  group by c.id_concepto";
                                        mysql_select_db($dbname);
                                        $oevent=mysql_query($sqlevent);  
										$no=mysql_num_rows($oevent);
										if($no!=0){if($no>1){$pedido="check out";}else{$pedido="check out";}echo "<a href='javascript:mostrar(\"eventoS$j\")' title='Mostrar salidas del ".fecha($compuesta)."' class='badagev'><font class='tx'>$no</font></a>";}
										
										echo "<div id='eventoC$j' style='display:none;text-align:left;'>";
                                        while($rowevent=mysql_fetch_array($revent))
                                        {
										
												$coordin=$rowevent['coordinador'];
												$coordina=mysql_query("SELECT concat(nombre,' ',a_pat,' ',a_mat) as coordinado FROM empleados WHERE id_empleado='$coordin'");
												$coordinad=mysql_fetch_array($coordina);
												$coordinador=$coordinad['coordinado'];
												
                                                echo "<p><a href='regmodificar2.php?idrenta=$rowevent[id_renta]&idcliente=$rowevent[id_cliente]' target='_blank' title='Ver renta'><img src='images/zoom.png' width='18' height='18'></a>cliente:<b> $rowevent[nombre] $rowevent[apat] $rowevent[amat]</b> <br>Fecha de cita:<b> $rowevent[fecha]</b><br>hora:<b> $rowevent[hora]</b><br>Ejecutivo:<b> $rowevent[ejecutivo]</b><br>Coordinador:<b> $coordinador</b><br>observacion:<b>$rowevent[observacion]</b></p>";
                                        }
										
										
                                        echo "<a href='javascript:mostrar(\"eventoC$j\")';' class='vtip'><img src='images/delete.png' /></a></div>";
										
										
											echo "<div id='eventoA$j' style='display:none;text-align:left;'>";
										 while($asisto=mysql_fetch_array($asistenciass))
                                        {
										
												$coordin=$asisto['coordinador'];
												$coordina=mysql_query("SELECT concat(nombre,' ',a_pat,' ',a_mat) as coordinado FROM empleados WHERE id_empleado='$coordin'");
												$coordinad=mysql_fetch_array($coordina);
												$coordinador=$coordinad['coordinado'];
												
                                                echo "<p><a href='regmodificar2.php?idrenta=$asisto[id_renta]&idcliente=$asisto[id_cliente]' target='_blank' title='Ver renta'><img src='images/zoom.png' width='18' height='18'></a>cliente:<b> $asisto[nombre] $asisto[apat] $asisto[amat]</b> <br>Fecha de cita:<b> $asisto[fecha]</b><br>hora:<b> $asisto[hora]</b><br>Ejecutivo:<b> $asisto[ejecutivo]</b><br>Coordinador:<b> $coordinador</b><br>observacion:<b>$asisto[observacion]</b></p>";
                                        }
										
										
										
										
                                        echo "<a href='javascript:mostrar(\"eventoA$j\")';' class='vtip'><img src='images/delete.png' /></a></div>";
										
										echo "<br><div id='eventoL$j' style='display:none;text-align:left;'>";
                                        while($lowevent=mysql_fetch_array($levent))
                                        {
												$coordin=$lowevent['coordinador'];
												$coordina=mysql_query("SELECT concat(nombre,' ',a_pat,' ',a_mat) as coordinado FROM empleados WHERE id_empleado='$coordin'");
												$coordinad=mysql_fetch_array($coordina);
												$coordinador=$coordinad['coordinado'];
										
                                                echo "<p><a href='regmodificar2.php?idrenta=$lowevent[id_renta]&idcliente=$lowevent[id_cliente]' target='_blank' title='Ver renta'><img src='images/zoom.png' width='18' height='18'></a>cliente: $lowevent[nombre] $lowevent[apat] $lowevent[amat] <br>Fecha de llamada: $lowevent[fecha]<br>hora: $lowevent[hora]<br><br>Ejecutivo:<b> $lowevent[ejecutivo]</b><br>Coordinador:<b> $coordinador</b>observacion:$lowevent[observacion]</p>";
                                        }
                                        
                                        echo "<a href='javascript:mostrar(\"eventoL$j\")';' class='vtip'><img src='images/delete.png' /></a></div>";
										
										echo "<br><div id='eventoE$j' style='display:none;text-align:left;'>";
										 while($iowevent=mysql_fetch_array($ievent))
                                        {
												$coordin=$iowevent['coordinador'];
												$coordina=mysql_query("SELECT concat(nombre,' ',a_pat,' ',a_mat) as coordinado FROM empleados WHERE id_empleado='$coordin'");
												$coordinad=mysql_fetch_array($coordina);
												$coordinador=$coordinad['coordinado'];
										if($iowevent["id_complejo"]==1){echo"TS";}if($iowevent["id_complejo"]==2){echo"M";} if($iowevent["id_complejo"]==3){echo"CT";}if($iowevent["id_complejo"]==4){echo"CC";}if($iowevent["id_complejo"]==5){echo"TP";} echo$iowevent["no_depto"]." ";
                                                echo "<p><a href='cedulas.php?idrenta=$iowevent[id_renta]&idcliente=$iowevent[id_cliente]' target='_blank' title='Ver renta'><img src='images/zoom.png' width='18' height='18'></a>cliente: <b>$iowevent[nombre] $iowevent[apat] $iowevent[amat]</b> <br>Fecha de estancia: del <b>$iowevent[fechai]</b> al <b>$iowevent[fechas]</b><br>Ejecutivo:<b> $iowevent[ejecutivo]</b><br>Coordinador:<b> $coordinador</b><br>Suite: <b>";if($iowevent["id_complejo"]==1){echo"TS";}if($iowevent["id_complejo"]==2){echo"M";} if($iowevent["id_complejo"]==3){echo"CT";}if($iowevent["id_complejo"]==4){echo"CC";}if($iowevent["id_complejo"]==5){echo"TP";} echo$iowevent["no_depto"]." ";echo"$iowevent[clave]</b><br>observacion:<b>$iowevent[observacion]</b><br><b>Fecha de validacion: </b> $iowevent[fechaval]<br><b>Validó: </b>$iowevent[valido]</p>";
                   				 //enviar correo de primera vez
                    				 //confirmar que es la primera ves que entra al sistema2,
									$fecha = date('Y-m-d');
											$nuevafecha = $fecha;
											$rr=strtotime ( '+1 day' , strtotime ( $iowevent["fechai"] ) ) ;
											$rr = date ( 'Y-m-d' , $rr );
											if($_SESSION["msg"]!=""&&$nuevafecha==$rr&&$_SESSION["usuario_id"]==72)
										{
												$emailcliente=$iowevent["emailcli"];
												$emailejecu=$iowevent["emaileje"];
												$idclientescar=$iowevent["id_cliente"];
                                                 if($emailcliente!="")
                                                 	{
													cartabienvenida($emailcliente,$emailejecu,$idclientescar);
													}   
                                        }
                                             
                                                 
                                        }
                                        
										
										echo "<a href='javascript:mostrar(\"eventoE$j\")';' class='vtip'><img src='images/delete.png' /></a></div>";										
										echo "<br><div id='eventoS$j' style='display:none;text-align:left;'>";
										while($oowevent=mysql_fetch_array($oevent))
                                        					{
												$coordin=$oowevent['coordinador'];
												$coordina=mysql_query("SELECT concat(nombre,' ',a_pat,' ',a_mat) as coordinado FROM empleados WHERE id_empleado='$coordin'");
												$coordinad=mysql_fetch_array($coordina);
												$coordinador=$coordinad['coordinado'];
										

                                                					echo "<p><a href='cedulas.php?idrenta=$oowevent[id_renta]&idcliente=$oowevent[id_cliente]' target='_blank' title='Ver renta'><img src='images/zoom.png' width='18' height='18'></a>cliente: <b>$oowevent[nombre] $oowevent[apat] $oowevent[amat]</b> <br>Fecha de estancia: del <b>$oowevent[fechai]</b> al <b>$oowevent[fechas]</b><br>Ejecutivo:<b> $oowevent[ejecutivo]</b><br>Coordinador:<b> $coordinador</b><br>Suite: <b>";if($oowevent["id_complejo"]==1){echo"TS";}if($oowevent["id_complejo"]==2){echo"M";} if($oowevent["id_complejo"]==3){echo"CT";}if($oowevent["id_complejo"]==4){echo"CC";}if($oowevent["id_complejo"]==5){echo"TP";} echo$oowevent["no_depto"]." ";echo" $oowevent[clave]</b><br>observacion:<b>$oowevent[observacion]</b></p>";
                                       							 //enviar correo de primera vez
                    									 //confirmar que es la primera ves que entra al sistema2,
                     									$fecha = date('Y-m-d');
											$nuevafecha=$fecha;
											$rr=strtotime ( '-1 day' , strtotime ( $oowevent["fechas"] ) ) ;
											$rr = date ( 'Y-m-d' , $rr );
                     				 					if($_SESSION["msg"]!=""&&$rr==$nuevafecha&&$_SESSION["usuario_id"]==$oowevent["emples"])
											{
											
											$emailcliente=$oowevent["emailcli"];
											$emailejecu=$oowevent["emaileje"];
                                                 					if($emailcliente!="")
                                                 						{
                                                 						cartadespedida($oowevent["id_cliente"],$emailcliente,$emailejecu);
												}   
                                        						}
                                        						
                                        						if($_SESSION["usuario_id"]==72&&$rr==$nuevafecha&&$_SESSION["msg"]!="" )
											{
											
											$emailcliente=$oowevent["emailcli"];
											$emailejecu=$oowevent["emaileje"];
                                                 					if($emailcliente!="")
                                                 						{?>
                                                 						<script> window.open("cartadespedida2.php?cliente=<?echo$oowevent[id_cliente]?>&emailcliente=<?echo$emailcliente?>&emailejecu=<?echo$emailejecu?>");</script>
												<?}   
                                        						}
                                        						
                                        					}
										
                                        echo "<a href='javascript:mostrar(\"eventoS$j\")';' class='vtip'><img src='images/delete.png' /></a></div>";
										
										echo "</td>";
										
                                        $j+=1;
                                }
                                else echo "<td class='desactivada'>&nbsp;</td>";
                                if ($i==7 || $i==14 || $i==21 || $i==28 || $i==35 || $i==42) {echo "<tr>";$filita+=1;}
                                }
                        }
                        echo "</table></center>";
                        $mesanterior=date("Y-m-d",mktime(0,0,0,$mesactual-1,01,$elanio));
                        $messiguiente=date("Y-m-d",mktime(0,0,0,$mesactual+1,01,$elanio));
                        echo "<center><p>&laquo; <a href='javascript:citas(\"?fecha=$mesanterior\")'>Mes Anterior</a> - <a href='javascript:citas(\"?fecha=$messiguiente\")'>Mes Siguiente</a> &raquo;</p></center>";
						
						$first_day_of_week = mktime(0, 0, 0, date('m'), date('d')-date('N')+1, date('Y'));
                        date('Y-m-d H:i:s', $first_day_of_week);
                        ?>
        </td></tr></table>
		<?
		if(date("d")=="01"){
		if($_SESSION["msg"]!=""&&$_SESSION["usuario_id"]==72)
										{
											$fecha = date('Y-m-d');
											$rr=strtotime ( '-1 day' , strtotime ( $fecha ) ) ;
											$aller = date ( 'Y-m-d' , $rr );
										$sqlevent="SELECT cl.id_cliente, cl.email as emailcli, e.email2 as emaileje  FROM conceptos AS c INNER JOIN renta AS r ON c.id_renta = r.id_renta INNER JOIN clientes AS cl ON c.id_cliente = cl.id_cliente INNER JOIN pagos AS p ON c.id_concepto = p.id_concepto INNER JOIN complejo AS pr ON c.id_complejo=pr.id_complejo INNER JOIN departamentos as d ON c.id_departamento=d.id_departamento INNER JOIN empleados as e ON cl.id_emp=e.id_empleado WHERE c.dia_inicio = '$aller' AND valadmon='s' group by c.id_concepto";
										$sqlev=mysql_query($sqlevent);
										while($iowevent=mysql_fetch_array($sqlev)){
												$emailcliente=$iowevent["emailcli"];
												$emailejecu=$iowevent["emaileje"];
												$idclientescar=$iowevent["id_cliente"];
                                                 if($emailcliente!="")
                                                 	{cartabienvenida($emailcliente,$emailejecu,$idclientescar);}   
											}
									}
								}
										
			if(date("d")==$dias[$mesactual]){
		if($_SESSION["msg"]!=""&&$_SESSION["usuario_id"]==72)
										{
											$fecha = date('Y-m-d');
											$rr=strtotime ( '+1 day' , strtotime ( $fecha ) ) ;
											$manana = date ( 'Y-m-d' , $rr );
										$sqlevent="SELECT cl.id_cliente, cl.email as emailcli, e.email2 as emaileje  FROM conceptos AS c INNER JOIN renta AS r ON c.id_renta = r.id_renta INNER JOIN clientes AS cl ON c.id_cliente = cl.id_cliente INNER JOIN pagos AS p ON c.id_concepto = p.id_concepto INNER JOIN complejo AS pr ON c.id_complejo=pr.id_complejo INNER JOIN departamentos as d ON c.id_departamento=d.id_departamento INNER JOIN empleados as e ON cl.id_emp=e.id_empleado WHERE c.dia_salida = '$manana' AND valadmon='s' group by c.id_concepto"; 
										$sqlev=mysql_query($sqlevent);
										while($oowevent=mysql_fetch_array($sqlev))
											{
												$emailcliente=$oowevent["emailcli"];
												$emailejecu=$oowevent["emaileje"];
                                                 if($emailcliente!="")
                                                 	{ cartadespedida($oowevent["id_cliente"],$emailcliente,$emailejecu); }   
											}
										}								
		}
		?>
      </body>
</html>
 <? $_SESSION["msg"]="";?>